BaseComponentSpec (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.platform.base.component

## [Java] Class BaseComponentSpec

- org.gradle.platform.base.component.BaseComponentSpec

- All Implemented Interfaces and Traits:
    GeneralComponentSpec

      @Incubating
      public class BaseComponentSpec
      extends org.gradle.platform.base.component.internal.DefaultComponentSpec

  Base class that may be used for custom GeneralComponentSpec implementations. However, it is generally better to use an interface annotated with Managed and not use an implementation class at all.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BaseComponentSpec ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ModelMap<BinarySpec>` | `getBinaries()`
    `ModelMap<LanguageSourceSet>` | `getSources()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.platform.base.component.internal.DefaultComponentSpec` | `org.gradle.platform.base.component.internal.DefaultComponentSpec#create(java.lang.Class, java.lang.Class, org.gradle.platform.base.internal.ComponentSpecIdentifier, org.gradle.model.internal.core.MutableModelNode), org.gradle.platform.base.component.internal.DefaultComponentSpec#toString(), org.gradle.platform.base.component.internal.DefaultComponentSpec#getName(), org.gradle.platform.base.component.internal.DefaultComponentSpec#getDisplayName(), org.gradle.platform.base.component.internal.DefaultComponentSpec#getIdentifier(), org.gradle.platform.base.component.internal.DefaultComponentSpec#getProjectPath(), org.gradle.platform.base.component.internal.DefaultComponentSpec#wait(long, int), org.gradle.platform.base.component.internal.DefaultComponentSpec#wait(long), org.gradle.platform.base.component.internal.DefaultComponentSpec#wait(), org.gradle.platform.base.component.internal.DefaultComponentSpec#equals(java.lang.Object), org.gradle.platform.base.component.internal.DefaultComponentSpec#hashCode(), org.gradle.platform.base.component.internal.DefaultComponentSpec#getClass(), org.gradle.platform.base.component.internal.DefaultComponentSpec#notify(), org.gradle.platform.base.component.internal.DefaultComponentSpec#notifyAll()`
    `class org.gradle.platform.base.component.internal.AbstractComponentSpec` | `org.gradle.platform.base.component.internal.AbstractComponentSpec#toString(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getName(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getDisplayName(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getIdentifier(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getProjectPath(), org.gradle.platform.base.component.internal.AbstractComponentSpec#wait(long, int), org.gradle.platform.base.component.internal.AbstractComponentSpec#wait(long), org.gradle.platform.base.component.internal.AbstractComponentSpec#wait(), org.gradle.platform.base.component.internal.AbstractComponentSpec#equals(java.lang.Object), org.gradle.platform.base.component.internal.AbstractComponentSpec#hashCode(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getClass(), org.gradle.platform.base.component.internal.AbstractComponentSpec#notify(), org.gradle.platform.base.component.internal.AbstractComponentSpec#notifyAll()`

- - ### Constructor Detail

    - #### public BaseComponentSpec()

  - ### Method Detail

    - #### @Override public ModelMap<BinarySpec> getBinaries()

    - #### @Override public ModelMap<LanguageSourceSet> getSources()